import java.awt.*;
import java.awt.geom.*;

public class Sample2 extends ToyGraphics {
    public Sample2() { super(640, 360); }
    public void run() {
	g2d.setPaint(Color.black);
	g2d.fill(new Rectangle2D.Double(0, 0, width, height));  // ウィンドウ全体を黒で塗りつぶす

	g2d.setStroke(new BasicStroke(3.0f)); // 描画する線の太さを3.0fにする。

	g2d.setPaint(Color.white);
	g2d.draw(new Line2D.Double(20,20,100,80));   // 白色の線分を描画する

	g2d.setPaint(Color.cyan);
	g2d.draw(new Rectangle2D.Double(50,50,200,100));   // 水色の長方形(枠)を描画する

	g2d.setPaint(Color.blue);
	g2d.fill(new Rectangle2D.Double(100,100,300,100));  // 青色の長方形(塗りつぶし)を描画する

	g2d.setStroke(new BasicStroke(3.0f)); // 枠線の太さを5.0fに変更する
	g2d.setPaint(Color.red);
	g2d.draw(new Arc2D.Double(150,150,200,100,0,360,Arc2D.OPEN));  // 赤色の楕円(枠)を描画する

	g2d.setPaint(Color.yellow);
	g2d.fill(new Arc2D.Double(200,220,300,100,0,360,Arc2D.OPEN));  // 黄色の楕円(塗りつぶし)を描画する

	g2d.setPaint(Color.green);
	g2d.drawString("Hello World", 150, 80);   // 緑の文字を描画する

	repaint(0,0,width,height); // 範囲を指定して再描画する (これが無いと変更が反映されない)
    }
    public static void main(String[] args) {
	Sample2 app = new Sample2();
	app.run();
    }
}
